# Module selenium-webdriver/chrome

code »

## Classes

Options
  Class for managing ChromeDriver specific options.
ServiceBuilder
  Creates `remote.DriverService` instances that manage a ChromeDriver server.

Show:PublicProtectedPrivate

## Functions

code » createDriver ( opt_options, opt_service ) ⇒ `!webdriver.WebDriver`

Creates a new ChromeDriver session.

Parameters

opt_options: `(webdriver.Capabilities|Options)=`
  The session options.
opt_service: `remote.DriverService=`
  The session to use; will use the `default service` by default.

Returns

A new WebDriver instance.

code » getDefaultService ( ) ⇒ `!remote.DriverService`

Returns the default ChromeDriver service. If such a service has not been configured, one will be constructed using the default configuration for a ChromeDriver executable found on the system PATH.

Returns

The default ChromeDriver service.

code » setDefaultService ( service )

Sets the default service to use for new ChromeDriver instances.

Parameters

service: `!remote.DriverService`
  The service to use.

Throws

`Error`
  If the default service is currently running.